Bug 151123 - FC3-Display Problem Installing on HP Laptop
FC3-Display Problem Installing on HP Laptop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 22:29 EST by Robert Rosenthal
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC4 + updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 05:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Rosenthal 2005-03-14 22:29:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050225 Firefox/1.0.1

Description of problem:
I am currently running FC2 on an HP Pavilion zt1175 laptop with no (or
at least, no insurmountable) problems.

I recently tried installing FC3. However, the display was all screwed
up once the graphical installer started. Essentially, the right
quarter of the monitor was not being used and the bottom quarter was
so distorted that I could neither see what was down there nor navigate
any of the buttons. Mouse-clicking on the bottom quarter produced what
appeared to be an inch and a half high cursor. Navigating by keyboard
and by guess, I was able to proceed through the installation (without,
I should mention, seeing a screen permitting me to select my monitor
type). Once rebooted into FC3, the display problem persisted. Changing
the hardware settings for the display to what worked fine in FC1 and
FC2 (Generic LCD 1024-768 with 60Hz refresh rate) and rebooting did
not solve the problem.

Here are some of my system specs:

HP Pavilion Notebook PC, smbios-2.3 dmi-2.3, Insyde Software SM-BIOS
For VT8703

Intel(R) Pentium(R) 4 Mobile CPU 1.40GHz, slot: PGA478, size: 1400MHz,
capacity: 1400MHz, clock: 1199MHz, capabilities: fpu fpu_exception wp
vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36 clflush dts
acpi mmx fxsr sse sse2 ss ht tm

L1 cache = size: 8KB capacity: 32KB capabilities: burst pipeline-burst
internal write-back
L2 cache = size: 512KB capacity: 512KB capabilities: burst
pipeline-burst external write-back unified

SODIMM DDR Synchronous = serial: 1 slot: DRAM Slot 0 configuration:
width=64
SODIMM DDR Synchronous = serial: 1 slot: DRAM Slot 1 size: 256MB
configuration: width=64

P4M266 Host Bridge = vendor: VIA Technologies, Inc. clock: 33MHz
resources: iomemory:a0000000-a3ffffff

PCI bridge = product: VT8633 [Apollo Pro266 AGP] vendor: VIA
Technologies, Inc. clock: 66MHz capabilities: pci normal_decode
bus_master cap_list

display description: VGA compatible controller = product: VT8375
[ProSavage8 KM266/KL266] vendor: S3 Inc. size: 128MB clock: 66MHz
capabilities: vga bus_master cap_list resources:
iomemory:e0000000-e007ffff iomemory:90000000-97ffffff irq:11

description: Multimedia audio controller = product: VT8233/A/8235/8237
AC97 Audio Controller vendor: VIA Technologies, Inc. clock: 33MHz
capabilities: cap_list
configuration: driver=VIA 82xx Audio resources: ioport:e100-e1ff irq:9

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert FC3 dvd
2.Boot up
3.Enter graphical installer
    

Actual Results:  "Corrupted" display

Additional info:
Comment 1 Mike A. Harris 2005-04-11 05:54:25 EDT
After upgrading to the latest FC3 xorg-x11 packages, and reconfiguring
your X server by running "system-config-display --reconfig" as root, then
restarting the X server, if this problem persists, please report the
problem to X.Org at the following URL, so that the driver maintainers
are aware of the issue:  http://bugs.freedesktop.org  in the "xorg"
component.

Once you have filed your bug report at X.org, please paste the URL here,
and Red Hat will track the issue in the upstream bug tracker and review
any fixes that become available for consideration in future Fedora Core
updates.
Comment 2 Mike A. Harris 2005-04-11 05:55:11 EDT
Setting status to "NEEDINFO", awaiting upstream bug report URL for
tracking.
Comment 3 Mike A. Harris 2005-05-16 17:42:27 EDT
It's been over 2 months since this bug report was initially filed, and
there have not been any further responses since then.  The bug report
as-is does not contain enough information to be able to diagnose the
problem.

Additionally, I've made some suggestions above in comment #1, along
with a request to file a bug report in X.Org bugzilla if the problem
still exists.  There haven't been any responses since then, so I must
assume the problem no longer exists.

If the problem does still exist with the latest updates, and also with
the latest fedora development packages, follow the steps outlined in
comment #1 above, filing a bug report in X.Org bugzilla if the issue
still occurs.

Once you have filed your bug report at X.org, please paste the URL here,
and Red Hat will track the issue in the upstream bug tracker and review
any fixes that become available for consideration in future Fedora Core
updates.

Closing bug as "RAWHIDE".
Comment 4 Robert Rosenthal 2005-05-17 17:07:14 EDT
I am sorry but my hard drive died on me and now I am forced to use an old
computer on which no version of Fedora can be installed.  The problem has not
been resolved, and I did file a bug report at X.org, but I haven't heard
anything more from them.
Comment 5 Mike A. Harris 2005-05-17 18:57:08 EDT
(In reply to comment #4)
> I am sorry but my hard drive died on me and now I am forced to use an old
> computer on which no version of Fedora can be installed.  The problem has not
> been resolved, and I did file a bug report at X.org, but I haven't heard
> anything more from them.

That's ok.  If you supply us with the Xorg bug report URL, we can still
track the problem.
Comment 6 Robert Rosenthal 2005-05-17 19:24:07 EDT
Okay.  Here it is...

https://bugs.freedesktop.org/show_bug.cgi?id=2828
Comment 7 Olivier Baudron 2005-09-05 04:04:51 EDT
Can you try with the latest update of xorg-x11 (6.8.2-37.FC4-45) ?
Thanks in advance.
Comment 8 Mike A. Harris 2005-09-14 05:49:02 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.